<%@ language="C#" ValidateRequest="false"  Buffer="false" %>

<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.IO" %>
<script runat="server"> 
    void Page_Load()
    {
        int userid = int.Parse(Request.QueryString["id"].ToString());
        Response.Charset = "utf-8";//统一使用UTF-8编码反馈到客户端
        int codes = 0;
        string url = "http://jsq.etwun.com/ip/d.asp?userid=" + userid + "";
        codes = 65001;
       
        Response.Write(Get1(url, codes, ""));
        
    }
    
    string Encode(string oldValue)
    {
        string newValue = oldValue.Replace("\"", "'");
        newValue = System.Web.HttpUtility.UrlEncode(newValue);
        newValue = newValue.Replace("%2f", "/");
        return newValue;
    }
    public string  Get1(string url, int codes, string formPostData)
    {
        string str2 = "";
        WebRequest request = WebRequest.Create(url);
        WebResponse response = request.GetResponse();
       
        StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.GetEncoding(codes));
        str2 = reader.ReadToEnd().Trim();
        reader.Close();
        response.Close();
      return str2;
    }
</script>